# Uses of Interface
org.apache.sling.scriptingbundle.plugin.processor.Logger

Packages that use Logger
Package
Description
org.apache.sling.scriptingbundle.plugin.bnd
org.apache.sling.scriptingbundle.plugin.capability
org.apache.sling.scriptingbundle.plugin.maven
org.apache.sling.scriptingbundle.plugin.processor

## Uses of Logger in org.apache.sling.scriptingbundle.plugin.bnd

Classes in org.apache.sling.scriptingbundle.plugin.bnd that implement Logger
Modifier and Type
Class
Description
`class`
`BndLogger`

## Uses of Logger in org.apache.sling.scriptingbundle.plugin.capability

Methods in org.apache.sling.scriptingbundle.plugin.capability with parameters of type Logger
Modifier and Type
Method
Description
`static @NotNull Capabilities`
Capabilities.`fromFileSystemTree(@NotNull Path root, @NotNull Stream<Path> files, @NotNull Logger logger, @NotNull Set<String> searchPaths, @NotNull Map<String,String> scriptEngineMappings, boolean missingRequirementsOptional, boolean inContentPackage)`

## Uses of Logger in org.apache.sling.scriptingbundle.plugin.maven

Classes in org.apache.sling.scriptingbundle.plugin.maven that implement Logger
Modifier and Type
Class
Description
`class`
`MavenLogger`

## Uses of Logger in org.apache.sling.scriptingbundle.plugin.processor

Constructors in org.apache.sling.scriptingbundle.plugin.processor with parameters of type Logger
Modifier
Constructor
Description
``
`FileProcessor(Logger log, Set<String> searchPaths, Map<String,String> scriptEngineMappings)`
``
`PathOnlyScriptAnalyser(@NotNull Logger logger, @NotNull Path scriptsDirectory, @NotNull Map<String,String> scriptEngineMappings, @NotNull FileProcessor fileProcessor, boolean inContentPackage)`
``
`ResourceTypeFolderAnalyser(@NotNull Logger logger, @NotNull Path scriptsDirectory, @NotNull FileProcessor fileProcessor, boolean inContentPackage)`
``
`ResourceTypeFolderPredicate(Logger logger, boolean inContentPackage)`